Name:          maven-model3
Version:       3.0.2
Release:       %mkrel 1
Summary:       Maven Model
Group:         Development/Java
License:       ASL 2.0
Url:           http://maven.apache.org/
# svn export http://svn.apache.org/repos/asf/maven/components/tags/maven-model-3.0.2
# tar czf maven-model-3.0.2-src-svn.tar.gz maven-model-3.0.2
Source0:       maven-model-3.0.2-src-svn.tar.gz
Source1:       maven-model-3.0.2.pom
Patch0:        maven-model-3.0.2-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: maven
BuildRequires: maven-skins
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-enforcer
BuildRequires: maven-shared
BuildRequires: maven-shared-jar
BuildRequires: bea-stax-api
BuildRequires: classworlds
BuildRequires: dom4j
BuildRequires: jdom
BuildRequires: modello
BuildRequires: plexus-build-api
BuildRequires: plexus-classworlds
BuildRequires: plexus-containers-container-default
BuildRequires: plexus-utils
BuildRequires: stax-utils
BuildRequires: joda-time

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Maven's model for Java project.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
The manual for %{name}.

%prep
%setup -q -n maven-model-%{version}
%patch0 -b .sav0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}
export MAVEN_OPTS="-Dmaven2.jpp.mode=true -Dmaven.repo.local=${MAVEN_REPO_LOCAL}"
mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  \
       -e \
       install
cp target/maven-model-%{version}.jar .
mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  \
       -e \
       -P all-models \
       install javadoc:javadoc site
cp maven-model-%{version}.jar target

%install
mkdir -p %{buildroot}%{_javadir}/
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 target/maven-model-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
install -pm 644 target/maven-model-%{version}-all.jar %{buildroot}%{_javadir}/%{name}-all-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap maven %{name} %{version} JPP %{name}
%add_to_maven_depmap maven %{name}-all %{version} JPP %{name}-all

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/apidocs

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/maven-model3-%{version}.jar
%{_javadir}/maven-model3.jar
%{_javadir}/maven-model3-all-%{version}.jar
%{_javadir}/maven-model3-all.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc target/site/*


%changelog

* Wed Oct 19 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 156480
- Add more buildrequires
- Fix groups

  + gil <gil>
    - imported package maven-model3

